package eus.urko.appresidencia.android.Dominio;

public class Dia {

    private int año;
    private int mes;
    private int dia;
    private String fecha;

    private String idDesayuno;
    private String idComida;
    private String idCena;

    private String idResidencia;
    private String idCurso;
    private String fechaidCursoidResidencia;

    public Dia(){}



    private void generarFecha(){
        String m;
        if (mes < 10) m = '0' + String.valueOf(mes);
        else m = String.valueOf(mes);

        String d;
        if (dia < 10) d = '0' + String.valueOf(dia);
        else d = String.valueOf(dia);

        fecha = String.valueOf(año) + m + d;
    }

    public Dia(int año, int mes, int dia, String idResidencia, String idCurso) {
        this.año = año;
        this.mes = mes;
        this.dia = dia;
        this.fecha = fecha;
        this.idResidencia = idResidencia;
        this.idCurso = idCurso;
        generarFecha();
        this.fechaidCursoidResidencia = fecha + idCurso + idResidencia;
    }

    public int getAño() {
        return año;
    }

    public void setAño(int año) {
        this.año = año;
        generarFecha();
    }

    public int getMes() {
        return mes;
    }

    public void setMes(int mes) {
        this.mes = mes;
        generarFecha();
    }

    public int getDia() {
        return dia;
    }

    public void setDia(int dia) {
        this.dia = dia;
        generarFecha();
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
        generarFecha();
    }

    public String getIdDesayuno() {
        return idDesayuno;
    }

    public void setIdDesayuno(String idDesayuno) {
        this.idDesayuno = idDesayuno;
    }

    public String getIdComida() {
        return idComida;
    }

    public void setIdComida(String idComida) {
        this.idComida = idComida;
    }

    public String getIdCena() {
        return idCena;
    }

    public void setIdCena(String idCena) {
        this.idCena = idCena;
    }

    public String getIdResidencia() {
        return idResidencia;
    }

    public void setIdResidencia(String idResidencia) {
        this.idResidencia = idResidencia;
    }

    public String getIdCurso() {
        return idCurso;
    }

    public void setIdCurso(String idCurso) {
        this.idCurso = idCurso;
    }

    public String getFechaidCursoidResidencia() {
        return fechaidCursoidResidencia;
    }

    public void setFechaidCursoidResidencia(String fechaidCursoidResidencia) {
        this.fechaidCursoidResidencia = fechaidCursoidResidencia;
    }
}
